--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Initializes the relationship. Always assumes target model class is a camel cased association name.
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Associations::OneToOne::Relationship::new
is_singleton: true
name: new
params: (name, target_model, source_model, options = {})
visibility: public
